apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: local-path-provisioner
  namespace: local-path-provisioner
spec:
  interval: 5m
  timeout: 10m
  values:
    replicaCount: 1
    image:
      repository: cr.yandex/crp3ccidau046kdj8g9q/contour/local-path-provisioner-nn/local-path-provisioner
      tag: v0.0.24
      pullPolicy: IfNotPresent
    helperImage:
      repository: cr.yandex/crp3ccidau046kdj8g9q/contour/local-path-provisioner-nn/busybox
      tag: latest
    defaultSettings:
      registrySecret: null
    privateRegistry:
      registryUrl: null
      registryUser: null
      registryPasswd: null
    imagePullSecrets:
      - name: regcred
    nameOverride: ""
    fullnameOverride: ""
    storageClass:
      create: true
      defaultClass: false
      name: local-path
      reclaimPolicy: Delete
    nodePathMap:
      - node: DEFAULT_PATH_FOR_NON_LISTED_NODES
        paths:
          - /opt/local-path-provisioner
    resources: {}
    rbac:
      create: true
    serviceAccount:
      create: true
      name: ""
    nodeSelector: {}
    tolerations: []
    affinity: {}
    configmap:
      name: local-path-config
      setup: |-
        set -eu
        mkdir -m 0777 -p "$VOL_DIR"
      teardown: |-
        set -eu
        rm -rf "$VOL_DIR"
